clan::WindowController Class Reference - ClanLib SDK
Description: clan::WindowController Class Reference

Public Member Functions | Public Attributes | Friends | List of all members
clan::WindowController Class Reference

Base class for controllers managing windows. More...

`#include <window_controller.h>`

## Public Member Functions
| WindowController ()
virtual | ~WindowController ()
void | dismiss ()
| Closes the window.
void | immediate_update ()
| Immediately redraws the window.
bool | resizable ()
| Gets the ability for the user to resize the window.
const std::shared_ptr< View > & | root_view () const
| Returns the root view.
void | set_content_size (const Sizef &size, bool resizable=true)
| Sets the size of the window.
void | set_frame_size (const Sizef &size, bool resizable=true)
| Sets the size of the window.
void | set_icon (const std::vector< std::string > &icon_images)
| Sets the icon used for the window.
void | set_resizable (bool resizable)
| Sets the ability for the user to resize the window.
void | set_root_view (std::shared_ptr< View > root_view)
| Changes the root view.
void | set_title (const std::string &title)
| Sets the window title.
const std::string & | title () const
| Returns the window title.

## Public Attributes
SlotContainer | slots
| Slot container helping with automatic disconnection of connected slots when the controller is destroyed.

## Friends
class | WindowManager

## Detailed Description

Base class for controllers managing windows.

## Constructor & Destructor Documentation

## ◆ WindowController()

clan::WindowController::WindowController | ( |  | ) |

## ◆ ~WindowController()

virtual clan::WindowController::~WindowController | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ dismiss()

void clan::WindowController::dismiss | ( |  | ) |

Closes the window.

## ◆ immediate_update()

void clan::WindowController::immediate_update | ( |  | ) |

Immediately redraws the window.

## ◆ resizable()

bool clan::WindowController::resizable | ( |  | ) |

Gets the ability for the user to resize the window.

Referenced by set_content_size(), set_frame_size(), and set_resizable().

## ◆ root_view()

const std::shared_ptr< View > & clan::WindowController::root_view | ( |  | ) | const

Returns the root view.

Referenced by set_root_view().

## ◆ set_content_size()

void clan::WindowController::set_content_size | ( | const Sizef & | size,
|  | bool | resizable = true )

Sets the size of the window.

References resizable().

## ◆ set_frame_size()

void clan::WindowController::set_frame_size | ( | const Sizef & | size,
|  | bool | resizable = true )

Sets the size of the window.

References resizable().

## ◆ set_icon()

void clan::WindowController::set_icon | ( | const std::vector< std::string > & | icon_images | ) |

Sets the icon used for the window.

## ◆ set_resizable()

void clan::WindowController::set_resizable | ( | bool | resizable | ) |

Sets the ability for the user to resize the window.

References resizable().

## ◆ set_root_view()

void clan::WindowController::set_root_view | ( | std::shared_ptr< View > | root_view | ) |

Changes the root view.

References root_view().

## ◆ set_title()

void clan::WindowController::set_title | ( | const std::string & | title | ) |

Sets the window title.

References title().

## ◆ title()

const std::string & clan::WindowController::title | ( |  | ) | const

Returns the window title.

Referenced by set_title().

## Friends And Related Symbol Documentation

## ◆ WindowManager

friend class WindowManager
| friend

References WindowManager.

Referenced by WindowManager.

## Member Data Documentation

## ◆ slots

SlotContainer clan::WindowController::slots

Slot container helping with automatic disconnection of connected slots when the controller is destroyed.

The documentation for this class was generated from the following file:

- window_controller.h